> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the available steps for a business



## OpenAPI

````yaml /openapi.json get /businesses/{id}/available_steps
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses/{id}/available_steps:
    get:
      tags:
        - Businesses
      summary: List the available steps for a business
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the business
          required: true
      responses:
        '200':
          description: >-
            A dictionary with an `available_steps` property which are the
            available steps for the business
          content:
            application/json:
              schema:
                type: object
                properties:
                  available_steps:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The unique identifier of the step
                        type:
                          type: string
                          description: The type of the step
                        display_text:
                          type: string
                          description: The displayable name of the step
                        image_urls_supported:
                          type: boolean
                          description: Whether the step supports image URLs
                        custom_step_id:
                          type: string
                          description: The ID of the custom step if this is a custom step
                      required:
                        - id
                        - type
                        - display_text
                    description: An array of available steps
                required:
                  - available_steps
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````